Archive

Posts Tagged ‘Ubuntu Karmic’

Google Earth and IPv6 DNS lookups

January 22, 2011 Comments off

Apparently the combination of a WLAN router that blocks IPv6 DNS queries of type AAAA (in my case, it was a Siemens S1621-Z220-A sold as Alice Modem 1121 WLAN) and the current version of Google Earth for Linux (I am using 5.1.3533.1731 from Medibuntu) do not work well together. The problem is that the router simply throws away AAAA queries (or generally, any type it does not know), so the DNS query times out. However, Google Earth does not seem to fall back to IPv4 queries (type A) in this case, and shows a message about network connectivity errors. I don’t know if it’s Google Earth’s fault or if the underlying eglibc resolver of my Linux system does something wrong, anyhow there is a fairly well-commented bug report on Launchpad for Ubuntu Karmic and Lucid which explains the issue.

Anyway, I got rid of the problem by manually configuring a nameserver on my local machine (for example the nameserver(s) of your internet provider, or the ones of OpenDNS), and not using the WLAN router as a resolver. NetworkManager allows you to do this by editing a connection and choosing “Automatic DHCP (Addresses only)” on the IPv4 register tab; or you can write the settings directly to your /etc/resolv.conf (here for the OpenDNS servers):

nameserver 208.67.222.222
nameserver 208.67.220.220


Flattr this

Advertisements

ZSNES on AMD64 Ubuntu

October 6, 2010 11 comments

[ Update, 2013-10: This post post is not up to date anymore. On newer Debians (since 7.0/wheezy) and Ubuntus (at least since 12.04, Precise Pangolin), you should be able to install zsnes out of the box: sudo apt-get install zsnes:i386. For details see the MultiArch documentation for Debian and Ubuntu. ]

Before I had bought my current hardware, I was working on a 32-bit-based system, and I really appreciated ZSNES as an SNES emulator. But unfortunately, my new hardware was an AMD64 system, and there is currently no ZSNES package for 64-bit Ubuntu or Debian 😦 So I decided to google a bit about the issue, but it took me until now (a year later) to get ZSNES finally working on my machine. The problem is, if you build ZSNES on a 64-bit machine, all the application does is segfault at start, and if you try to compile for 32-bit systems, you get errors about missing 32-bit libs (in particular, configure does not find a suitable libsdl). Instead, if you just take the binary which was compiled on a 32-bit system, and install ia32-libs everything seems to work—at least I was able to play a few levels of Super Mario World succesfully 🙂

So here was my idea: take the 32-bit package from the Ubuntu repository, and just change the Architecture control field, and by this fool dpkg 😛 And as it turned out, this idea worked great. You can get the Debian package here if you want, it should work for Ubuntu Karmic and Lucid, as well as for Debian testing (but I only tested it on Lucid, so there is no warranty here—but I’m happy to hear if it works :)):

For the curious people reading here, here is what I actually did:

  1. wget http://archive.ubuntu.com/ubuntu/pool/universe/z/zsnes/zsnes_1.510-2.2ubuntu3_i386.deb
  2. ar x zsnes_1.510-2.2ubuntu3_i386.deb
  3. tar xzf data.tar.gz
  4. Edited usr/share/applications/zsnes.desktop and added -ad sdl to the Exec: field, otherwise it would just segfault on the first run:
    Exec=zsnes -ad sdl
  5. Edited usr/share/doc/zsnes/changelog.Debian.gz and added a new changelog entry for the version
  6. tar xzf control.tar.gz
  7. Edited the control file, changed the Version: and Architecture: field to amd64, added the ia32-libs dependency, and set myself as maintainer:
    Package: zsnes
    Version: 1.510-2.2ubuntu3~ppa1
    Architecture: amd64
    Maintainer: Roland Hieber <foobar@example.org>
    Installed-Size: 4160
    Depends: ia32-libs, libao2 (>= 0.8.8), libc6 (>= 2.4), libgcc1 (>= 1:4.1.1), libgl1-mesa-glx | libgl1, libpng12-0 (>= 1.2.13-4), libsdl1.2debian (>= 1.2.10-1), libstdc++6 (>= 4.1.1), zlib1g (>= 1:1.2.2.3)
    [...]
  8. Changed the md5sums file for the right values for usr/share/applications/zsnes.desktop and usr/share/doc/zsnes/changelog.Debian.gz (I used the md5sum command and copy-pasted it)
  9. tar czf control.tar.gz control md5sums postrm postinst
  10. tar czf data.tar.gz usr/
  11. ar r zsnes_1.510-2.2ubuntu3~ppa1_amd64.deb debian-binary control.tar.gz data.tar.gz

I’m afraid that I can’t put the package to PPA, Launchpad only accepts source packages for uploads, and builds the binary packages itself, both for i386 and AMD64. This approach can not be used here, since we needed the i386 binary for AMD64.


Flattr this

Kaffeine 0.8.7 in Ubuntu Karmic

March 7, 2010 Comments off

As I recently mentioned, Kaffeine in Ubuntu Karmic is the (nearly) unusable version 1.0~pre2. I have backported the Jaunty version 0.8.7 to Karmic and put it into my Launchpad PPA.

Ubuntu Karmic upgrade issues

January 17, 2010 1 comment

Thinking of the phrase “never change a running system” I am usually not very keen on updating my Ubuntu system to a new distribution. However, not every new software version is available from the backports, so finally, I saw myself forced to upgrade to Karmic Koala.

I instantly regretted it. Of course, I appreciate all the new software, but as in every upgrade I ever made (and I probably should know by now -.-), there are a few things that were annoying me or are still doing it:

  • kaffeine-1.0~pre is not even as useful as 0.8.7 from jaunty: While staying in touch with the main KDE (4) line, the developers seemed to completely remove the Playback -> Video menu, so it is not possible anymore to toggle deinterlacing, or any other video filter, which is very annoying for DVB-T. I filed a bug report on that. Futhermore, my DVB-T channels were lost, so I had to rescan them.
  • The notifications displayed by notify-osd somehow have wandered from the upper right edge towards the middle right. This seems to be fixed now, as pointed out in the bug report, but somehow this fix never got onto my system, though the changelog of notify-osd says so… Additionally, the notifications for received messages in Pidgin do not hide anymore if I actually read the messages, they persist until their default timeout has elapsed. And they even show up now when my IM status is on “Do not Disturb” – this was not the case (just as I expected it) in jaunty.
  • Icons in GTK menus are now hidden by default, which seemed very unfamiliar to me, since I always used them as an orientation guide, especcially in the Firefox search plugin menu. You can show them again in the System -> Preferences -> Appearance applet on the Interface tab by selecting “Show icons in menus”.
  • GDM is no longer custumizable through themes. It just doesn’t support it, as it seems to be a complete rewrite. IMHO just another Unmature Software Thing.
    Edit: I just found out that it is also not able to start GDM in Xnest, as I usually did for testing:
    $ gdmflexiserver --xnest
    ** (gdmflexiserver:5916): WARNING **: Not yet implemented
  • And finally, my customized GNOME window theme (based on Clearlooks) was broken 😦 I am very confident that the color of selected text was not the same color in the title bar, but now both seem to be the same color. This is really bad, as for the title bar, I used to have a darker shade of orange than for selected text. OK, changing to another theme may be simple, but until now, I haven’t found anything I like best.